"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var grpc = require("grpc");
var path = require("path");
var ClientBuilder = (function () {
    function ClientBuilder(options) {
        this.options = options;
    }
    ClientBuilder.prototype.service = function () {
        var proto = grpc.load(path.join(__dirname, './proto/api-service.proto'));
        var clientConstructor = proto.api.Service;
        return new clientConstructor(this.options.endpoint, grpc.credentials.createInsecure());
    };
    ClientBuilder.prototype.core = function () {
        var proto = grpc.load(path.join(__dirname, './proto/api-core.proto'));
        var clientConstructor = proto.api.Core;
        return new clientConstructor(this.options.endpoint, grpc.credentials.createInsecure());
    };
    return ClientBuilder;
}());
exports.default = ClientBuilder;
//# sourceMappingURL=client.js.map